#### D.4.16.22 subquotient

Procedure from library `modules.lib` (see modules_lib).

Usage:
  subquotient(gens,rels); gens and rels Matrices

Return:
  Module, the subquotient of two entered Matrices

Example:

    LIB "modules.lib";
    ring r;
    matrix m[2][2]=x,y2,z,xz;
    Matrix M=m;
    matrix n[2][3]=z2,xyz,x2y2,xy,x3,y4;
    Matrix N=n;
    M;
    ==>     {1}  {2}
    ==> {0}   x   y2
    ==> {0}   z   xz
    ==>
    N;
    ==>      {2}   {3}    {4}
    ==> {0}   z2   xyz   x2y2
    ==> {0}   xy    x3     y4
    ==>
    subquotient(M,N);
    ==> subquotient (| x y2 |, | z2 xyz x2y2 |)
    ==>              | z xz |  | xy x3  y4   |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.